## ros-melodic-hector-gazebo 0.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(hector_gazebo)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-hector-gazebo 0.5.1

=== debian/changelog ===
ros-melodic-hector-gazebo (0.5.1-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Thu, 28 Jun 2018 22:00:00 -0000

ros-melodic-hector-gazebo (0.5.0-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-gazebo (0.4.1-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-gazebo (0.4.0-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 06 Nov 2015 23:00:00 -0000

ros-melodic-hector-gazebo (0.3.8-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-hector-gazebo (0.3.7-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 06 Nov 2015 23:00:00 -0000

ros-melodic-hector-gazebo (0.3.6-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 20 Mar 2015 23:00:00 -0000

ros-melodic-hector-gazebo (0.3.5-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 22 Feb 2015 23:00:00 -0000

ros-melodic-hector-gazebo (0.3.4-0stretch) stretch; urgency=high

  * Removed package gazebo_rtt_plugin
    This package is obsolete. Use the rtt_gazebo stack instead.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 31 Aug 2014 22:00:00 -0000

ros-melodic-hector-gazebo (0.3.3-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 26 May 2014 22:00:00 -0000

ros-melodic-hector-gazebo (0.3.2-0stretch) stretch; urgency=high

  * Made hector_gazebo and hector_sensors_gazebo true metapackages
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 29 Mar 2014 23:00:00 -0000

ros-melodic-hector-gazebo (0.3.1-0stretch) stretch; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 22 Sep 2013 22:00:00 -0000

ros-melodic-hector-gazebo (0.3.0-0stretch) stretch; urgency=high

  * Catkinization of stack hector_gazebo

 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 01 Sep 2013 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-hector-gazebo
Section: misc
Priority: extra
Maintainer: Johannes Meyer <johannes@intermodalics.eu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/hector_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-hector-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hector-gazebo-plugins, ros-melodic-hector-gazebo-thermal-camera, ros-melodic-hector-gazebo-worlds
Description: hector_gazebo provides packages related to to simulation of robots using gazebo (gazebo plugins, world files etc.)

## ros-melodic-hector-gazebo 0.5.4

=== debian/changelog ===
ros-melodic-hector-gazebo (0.5.4-1bionic) bionic; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 23 Jun 2021 00:00:00 -0000

ros-melodic-hector-gazebo (0.5.3-1bionic) bionic; urgency=high

  * Updated CMake version and fixed CMP0048 for non-metapackages.
  * Updated package format and maintainer information.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 03 Feb 2021 00:00:00 -0000

ros-melodic-hector-gazebo (0.5.2-1bionic) bionic; urgency=high



 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-melodic-hector-gazebo (0.5.1-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 29 Jun 2018 00:00:00 -0000

ros-melodic-hector-gazebo (0.5.0-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 24 Jun 2016 00:00:00 -0000

ros-melodic-hector-gazebo (0.4.1-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 24 Jun 2016 00:00:00 -0000

ros-melodic-hector-gazebo (0.4.0-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 07 Nov 2015 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.8-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 24 Jun 2016 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.7-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 07 Nov 2015 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.6-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 21 Mar 2015 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.5-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 23 Feb 2015 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.4-1bionic) bionic; urgency=high

  * Removed package gazebo_rtt_plugin
    This package is obsolete. Use the rtt_gazebo stack instead.
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 01 Sep 2014 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.3-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Tue, 27 May 2014 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.2-1bionic) bionic; urgency=high

  * Made hector_gazebo and hector_sensors_gazebo true metapackages
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 30 Mar 2014 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.1-1bionic) bionic; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 23 Sep 2013 00:00:00 -0000

ros-melodic-hector-gazebo (0.3.0-1bionic) bionic; urgency=high

  * Catkinization of stack hector_gazebo

 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 02 Sep 2013 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-hector-gazebo
 Section: misc
-Priority: extra
-Maintainer: Johannes Meyer <johannes@intermodalics.eu>
+Priority: optional
+Maintainer: Stefan Fabian <fabian@sim.tu-darmstadt.de>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
 Homepage: http://ros.org/wiki/hector_gazebo
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-hector-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
